# getActive

abstract fun getActive(): Provider<Boolean>

Effective status of the feature:

- true - the feature is active and taking effect
- false - the feature is deactivated

This method provides only generic information about the status of the feature. It does not provide information about a behavior that is specific for any given feature. For instance, it does not say whether Configuration Cache got a hit or a miss for a given invocation.

Note that a feature can get activated even if not explicitly enabled. See BuildFeature for more details.

#### Return

The provider that is always has a value and its value denotes the effective status of a feature

#### Since

8.5